using System.Collections.Generic;

using skydiveLogs_api.Model;


namespace skydiveLogs_api.Business.Interface
{
    public interface IAircraftService
    {
        IEnumerable<Aircraft> GetAllAircrafts();

        Aircraft GetAircraftById(int id);

        void AddNewAircraft(Aircraft aircraft);

        void UpdateAircraft(int id, Aircraft aircraft);

        void DeleteAircraftById(int id);
    }
}
